Package x2go :: Package tests :: Module test_printing :: Class TestX2GoClientPrinting

[frames] | no frames]

# Class TestX2GoClientPrinting

source code

                object --+
                         |
    unittest.case.TestCase --+
                             |
                            TestX2GoClientPrinting

Nested Classes
Inherited from `unittest.case.TestCase`: `failureException`

Instance Methods

test_client_printing_dialog(self) | source code

test_client_printing_pdfview(self) | source code

test_client_printing_pdfsave(self) | source code

test_client_printing_print(self) | source code

test_client_printing_printcmd(self) | source code

Inherited from `unittest.case.TestCase`: `__call__`, `__eq__`, `__hash__`, `__init__`, `__ne__`, `__repr__`, `__str__`, `addCleanup`, `addTypeEqualityFunc`, `assertAlmostEqual`, `assertAlmostEquals`, `assertDictContainsSubset`, `assertDictEqual`, `assertEqual`, `assertEquals`, `assertFalse`, `assertGreater`, `assertGreaterEqual`, `assertIn`, `assertIs`, `assertIsInstance`, `assertIsNone`, `assertIsNot`, `assertIsNotNone`, `assertItemsEqual`, `assertLess`, `assertLessEqual`, `assertListEqual`, `assertMultiLineEqual`, `assertNotAlmostEqual`, `assertNotAlmostEquals`, `assertNotEqual`, `assertNotEquals`, `assertNotIn`, `assertNotIsInstance`, `assertNotRegexpMatches`, `assertRaises`, `assertRaisesRegexp`, `assertRegexpMatches`, `assertSequenceEqual`, `assertSetEqual`, `assertTrue`, `assertTupleEqual`, `assert_`, `countTestCases`, `debug`, `defaultTestResult`, `doCleanups`, `fail`, `failIf`, `failIfAlmostEqual`, `failIfEqual`, `failUnless`, `failUnlessAlmostEqual`, `failUnlessEqual`, `failUnlessRaises`, `id`, `run`, `setUp`, `shortDescription`, `skipTest`, `tearDown`

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Class Methods
Inherited from `unittest.case.TestCase`: `setUpClass`, `tearDownClass`

Class Variables
Inherited from `unittest.case.TestCase`: `longMessage`, `maxDiff`

Properties
Inherited from `object`: `__class__`